Intent revision diff
What one saved revision changed from the revision before it.
GET
What one saved revision changed from the revision before it.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidversion_id*Version IdFormat
uuidrevision*RevisionRange
1 <= value <= 2147483647Successful Response
application/json- response
Changes by stable identity from against (null: nothing before it) to this version.
against_content_sha256*string|nullagainst_revision*integer|nullagainst_version_id*|nullchanges*array<>content_sha256*Content Sha256revision*Revisionversion_id*Version IdFormat
uuidcurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/versions/497f6eca-6276-4993-bfeb-53cbbbba6f08/history/1/diff'Example Response
{ "against_content_sha256": "string", "against_revision": 0, "against_version_id": "fee03761-4114-487c-932c-decf46d12c81", "changes": [ { "action": "added", "collection": "elements", "fields": [ "string" ], "key": "string", "summary": "string" } ], "content_sha256": "string", "revision": 0, "version_id": "9e94c502-ca41-4342-a7f7-af96b444512c"}